(setq comp-deferred-compilation t) ;; enable automatic native-compilation
(setq straight-repository-branch "develop")
(setq straight-vc-git-default-protocol 'ssh)
(setq straight--wait-for-async-jobs nil)

(eval-and-compile
  (defvar bootstrap-version)
  (let ((bootstrap-file
	 (expand-file-name "straight/repos/straight.el/bootstrap.el" user-emacs-directory))
	(bootstrap-version 5))
    (unless (file-exists-p bootstrap-file)
      (with-current-buffer
	  (url-retrieve-synchronously
	   "https://raw.githubusercontent.com/raxod502/straight.el/develop/install.el"
	   'silent 'inhibit-cookies)
	(goto-char (point-max))
	(eval-print-last-sexp)))
    (load bootstrap-file nil 'nomessage)))

(setq load-prefer-newer t)

(eval-and-compile (straight-use-package 'use-package))

(straight-use-package '(org
			:type git :repo "https://code.orgmode.org/bzg/org-mode.git"
                        :local-repo "org"
			:files (:defaults "contrib/lisp/*.el")
			:fork (:repo "/home/yantar92/Git/org-mode/" :branch "feature/drawertextprop")))

(use-package elfeed
  :straight t)

(use-package elfeed-org
  :straight t
  :config
  (elfeed-org))

;; when this file is loaded after org is native-compiled, the following error appears.
;; Error (use-package): elfeed-org/:catch: Invalid version syntax: ‘N/A’ (must start with a number)
;; deleting org.eln makes the error disappears

;; possible cause: straight--fix-org-function from straight.el is redefining some org.el functions
;; (org-git-version and org-release). This override fails to work in native-compiled org
